﻿// dllmain.cpp : Определяет точку входа для приложения DLL.
#include "stdafx.h"
#include "matlabsarima.h"
#include "AdapterSArima.h"


extern bool MLBEngineStarted;
extern bool SArimaStarted;

BOOL APIENTRY DllMain( HMODULE hModule,
                       DWORD  ul_reason_for_call,
                       LPVOID lpReserved
                     )
{
	switch (ul_reason_for_call)
	{
	  case DLL_PROCESS_ATTACH:
	
		if (!MLBEngineStarted)
		{
			if (!mclInitializeApplication(nullptr, 0))
			{
				std::cerr << "Could not initialize the application properly"
					<< std::endl;
				return false;
			}
			else {
				MLBEngineStarted = true;
			}
		}
   
	/*
		if ( !matlabsarimaInitialize() )
		{
			std::cerr << "Could not initialize the library properly" << std::endl;
			return false;
		}		
		//SArimaStarted = true;
	*/
	//	SArimaStarted = (prepareSARIMA() > 0) ? true : false;
	//	return SArimaStarted;
		break;
	
	case DLL_PROCESS_DETACH:
			
		//if (SArimaStarted) 
		{
		  
		closeSARIMA(); 	// You cannot restart it by calling mclInitializeApplication.

		// Call mclTerminateApplication ONCE AND ONLY ONCE in your application.
			mclTerminateApplication();
		}
		break;
	}
	return TRUE;
}

