#include "pch.h"
#include "stdio.h"

int readData(char *fname, double *data, int Np)
{
	FILE *stream;
	double fp;
	int  Ndata = 0, err;
	
	    err = fopen_s(&stream, fname, "rt");	
	if (err) return -1;

	if (stream != NULL)
	{
		// Set pointer to beginning of file:
		fseek(stream, 0L, SEEK_SET);
		while (!feof(stream))
		{
			fscanf_s(stream, "%lf", &fp);
			Ndata++;			
		}

		// Set pointer to beginning of file:
		fseek(stream, 0L, SEEK_SET);
        
		if (Ndata >Np)  Ndata = Np;
		// data = new double[Ndata + Next];
		for (int i = 0; i < Ndata; i++)
		{
			fscanf_s(stream, "%lf", &data[i]);
		}
		fclose(stream);
	}

	fclose(stream);
	printf("\n Number of points: %d, Iterations : ", Ndata);
	
	return Ndata;
}